compact2, compact3
java.rmi.registry

## Interface RegistryHandler

Deprecated.
no replacement

    @Deprecated
    public interface RegistryHandler

`RegistryHandler` is an interface used internally by the RMI runtime in previous implementation versions. It should never be accessed by application code.

Since:
  JDK1.1

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Registry` `registryImpl(int port)` Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's implementation.
`Registry` `registryStub(String host, int port)` Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's stub.

### Method Detail

#### registryStub

    @Deprecated
    Registry registryStub(String host,
                                      int port)
                               throws RemoteException,
                                      UnknownHostException

Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's stub.
Returns a "stub" for contacting a remote registry on the specified host and port.

Parameters:
  `host` - name of remote registry host
  `port` - remote registry port
Returns:
  remote registry stub
Throws:
  `RemoteException` - if a remote error occurs
  `UnknownHostException` - if unable to resolve given hostname

#### registryImpl

    @Deprecated
    Registry registryImpl(int port)
                               throws RemoteException

Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's implementation.
Constructs and exports a Registry on the specified port. The port must be non-zero.

Parameters:
  `port` - port to export registry on
Returns:
  registry stub
Throws:
  `RemoteException` - if a remote error occurs